## ros-eloquent-demo-nodes-cpp-native 0.8.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(demo_nodes_cpp_native)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(rmw REQUIRED)
find_package(std_msgs REQUIRED)
find_package(rmw_fastrtps_cpp QUIET)

include_directories(include)

if(rmw_fastrtps_cpp_FOUND)
  add_library(talker_native SHARED
    src/talker.cpp)
  target_compile_definitions(talker_native
    PRIVATE "DEMO_NODES_CPP_NATIVE_BUILDING_DLL")
  ament_target_dependencies(talker_native
    "rclcpp"
    "std_msgs"
    "rclcpp_components"
    "rmw_fastrtps_cpp")
  rclcpp_components_register_node(talker_native PLUGIN "demo_nodes_cpp_native::Talker" EXECUTABLE talker)
  install(TARGETS
    talker_native
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION bin)

  if(BUILD_TESTING)
    find_package(ament_lint_auto REQUIRED)
    ament_lint_auto_find_test_dependencies()

    find_package(ament_cmake_pytest REQUIRED)
    find_package(launch_testing_ament_cmake REQUIRED)

    set(tutorial_executables "talker")

    set(DEMO_NODES_CPP_EXPECTED_OUTPUT "")
    foreach(executable ${tutorial_executables})
      list(APPEND DEMO_NODES_CPP_EXPECTED_OUTPUT "${CMAKE_CURRENT_SOURCE_DIR}/test/${executable}")
    endforeach()

    set(DEMO_NODES_CPP_EXECUTABLE "")
    foreach(executable ${tutorial_executables})
      list(APPEND DEMO_NODES_CPP_EXECUTABLE "$<TARGET_FILE:${executable}>")
    endforeach()

    string(REPLACE ";" "_" exe_list_underscore "${tutorial_executables}")
    configure_file(
      test/test_executables_tutorial.py.in
      test_${exe_list_underscore}.py.configured
      @ONLY
    )
    file(GENERATE
      OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/test_${exe_list_underscore}_$<CONFIG>.py"
      INPUT "${CMAKE_CURRENT_BINARY_DIR}/test_${exe_list_underscore}.py.configured"
    )

    add_launch_test(
      "${CMAKE_CURRENT_BINARY_DIR}/test_${exe_list_underscore}_$<CONFIG>.py"
      TARGET test_tutorial_${exe_list_underscore}
      TIMEOUT 30
      ENV
      RCL_ASSERT_RMW_ID_MATCHES=rmw_fastrtps_cpp
      RMW_IMPLEMENTATION=rmw_fastrtps_cpp
    )
    foreach(executable ${tutorial_executables})
      set_property(
        TEST test_tutorial_${exe_list_underscore}
        APPEND PROPERTY DEPENDS ${executable})
    endforeach()
  endif()
endif()

ament_package()

=== debian/changelog ===
ros-eloquent-demo-nodes-cpp-native (0.8.4-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 19 Nov 2019 06:00:00 -0000

ros-eloquent-demo-nodes-cpp-native (0.8.3-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 11 Nov 2019 06:00:00 -0000

ros-eloquent-demo-nodes-cpp-native (0.8.2-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 Nov 2019 06:00:00 -0000

ros-eloquent-demo-nodes-cpp-native (0.8.1-1bionic) bionic; urgency=high

  * Replace ready_fn with ReadyToTest action (#404 <https://github.com/ros2/demos/issues/404>)
  * Contributors: Peter Baughman

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-demo-nodes-cpp-native (0.8.0-1bionic) bionic; urgency=high

  * Adding visibility macros to demos (#381 <https://github.com/ros2/demos/issues/381>)
  * Check if FastRTPS available in demo_nodes_cpp_native before creating library/executable (#383 <https://github.com/ros2/demos/issues/383>)
  * Demos using composition (#375 <https://github.com/ros2/demos/issues/375>)
  * Contributors: Siddharth Kucheria

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 26 Sep 2019 05:00:00 -0000

ros-eloquent-demo-nodes-cpp-native (0.7.6-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 30 May 2019 05:00:00 -0000

ros-eloquent-demo-nodes-cpp-native (0.7.5-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 29 May 2019 05:00:00 -0000

ros-eloquent-demo-nodes-cpp-native (0.7.4-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 20 May 2019 05:00:00 -0000

ros-eloquent-demo-nodes-cpp-native (0.7.3-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 10 May 2019 05:00:00 -0000

ros-eloquent-demo-nodes-cpp-native (0.7.2-1bionic) bionic; urgency=high

  * changes to avoid deprecated API's (#332 <https://github.com/ros2/demos/issues/332>)
  * Corrected publish calls with shared_ptr signature (#327 <https://github.com/ros2/demos/issues/327>)
  * Migrate launch tests to new launch_testing features & API (#318 <https://github.com/ros2/demos/issues/318>)
  * Contributors: Michel Hidalgo, William Woodall, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 May 2019 05:00:00 -0000

ros-eloquent-demo-nodes-cpp-native (0.7.1-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 26 Apr 2019 05:00:00 -0000

ros-eloquent-demo-nodes-cpp-native (0.7.0-1bionic) bionic; urgency=high

  * Added launch along with launch_testing as test dependencies. (#313 <https://github.com/ros2/demos/issues/313>)
  * Contributors: Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 14 Apr 2019 05:00:00 -0000

ros-eloquent-demo-nodes-cpp-native (0.6.2-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 15 Jan 2019 06:00:00 -0000

ros-eloquent-demo-nodes-cpp-native (0.6.1-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 13 Dec 2018 06:00:00 -0000

ros-eloquent-demo-nodes-cpp-native (0.6.0-1bionic) bionic; urgency=high

  * Added semicolons to all RCLCPP and RCUTILS macros. (#278 <https://github.com/ros2/demos/issues/278>)
  * Contributors: Chris Lalancette

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 07 Dec 2018 06:00:00 -0000

ros-eloquent-demo-nodes-cpp-native (0.5.1-1bionic) bionic; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 28 Jun 2018 05:00:00 -0000

ros-eloquent-demo-nodes-cpp-native (0.5.0-1bionic) bionic; urgency=high

  * Updated launch files to account for the "old launch" getting renamespaced as ``launch`` -> ``launch.legacy``. (#239 <https://github.com/ros2/demos/issues/239>)
  * Contributors: Dirk Thomas, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 27 Jun 2018 05:00:00 -0000

=== debian/control ===
Source: ros-eloquent-demo-nodes-cpp-native
Section: misc
Priority: optional
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake, ros-eloquent-ament-cmake-pytest, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-launch, ros-eloquent-launch-testing, ros-eloquent-launch-testing-ament-cmake, ros-eloquent-launch-testing-ros, ros-eloquent-rclcpp, ros-eloquent-rclcpp-components, ros-eloquent-rmw-fastrtps-cpp, ros-eloquent-std-msgs, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-demo-nodes-cpp-native
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-rclcpp, ros-eloquent-rclcpp-components, ros-eloquent-rmw-fastrtps-cpp, ros-eloquent-std-msgs, ros-eloquent-ros-workspace
Description: C++ nodes which access the native handles of the rmw implemenation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-demo-nodes-cpp-native//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
